## w1retap 1.4.4

=== contrib/applets/w1temp-gnome3/Makefile ===
# Makefile.in generated by automake 1.12.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/w1temp
pkgincludedir = $(includedir)/w1temp
pkglibdir = $(libdir)/w1temp
pkglibexecdir = $(libexecdir)/w1temp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	compile config.guess config.sub depcomp install-sh ltmain.sh \
	missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac-define-dir.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	cscope distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run aclocal-1.12
ACLOCAL_AMFLAGS = -I m4
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run automake-1.12
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GIO_MODULE_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GIO_MODULE_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GLIB_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GLIB_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lrt -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 
GLIB_MODULE_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GLIB_MODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lrt -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 
GNOME_APPLETS_CFLAGS = -pthread -I/usr/include/gnome-panel-4.0/libpanel-applet -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng15 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GNOME_APPLETS_LIBS = -lpanel-applet-4 -lgconf-2 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GNOME_PIXMAPSDIR = /usr/share/pixmaps
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBPANEL_APPLET_DIR = /usr/share/gnome-panel/4.0/applets
LIBS = -lm 
LIBSOUP_CFLAGS = -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
LIBSOUP_LIBS = -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = w1temp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_APPLET = 
USE_CURLAPP = 
VERSION = 0.0.5
abs_builddir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
abs_srcdir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
abs_top_builddir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
abs_top_srcdir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapsdir = ${datarootdir}/pixmaps
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src 
EXTRA_DIST = m4 src
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then rm -f stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.

=== contrib/sun_moon/sun_moon/Makefile ===
CC=gcc
LDFLAGS=-lnova
CFLAGS=-Wall -O2 -s

all: solar lunar sun_moon

solar: solar.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

lunar: lunar.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

sun_moon: sun_moon.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)
 
clean: 
	rm -f solar lunar sun_moon *.o

install:
	cp solar lunar sun_moon ~/bin/

dist:
	rm -f solar lunar sun_moon *.o
	tar -C .. -czf ../sun_moon.tar.gz sun_moon

=== contrib/applets/w1temp-gnome3/src/Makefile ===
# Makefile.in generated by automake 1.12.3 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/w1temp
pkgincludedir = $(includedir)/w1temp
pkglibdir = $(libdir)/w1temp
pkglibexecdir = $(libexecdir)/w1temp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
libexec_PROGRAMS = w1temp$(EXEEXT)
subdir = src
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/depcomp $(top_srcdir)/mkinstalldirs COPYING
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac-define-dir.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(appletdir)" \
	"$(DESTDIR)$(icondir)" "$(DESTDIR)$(pixmapdir)" \
	"$(DESTDIR)$(servicedir)"
PROGRAMS = $(libexec_PROGRAMS)
am_w1temp_OBJECTS = w1temp.$(OBJEXT)
w1temp_OBJECTS = $(am_w1temp_OBJECTS)
am__DEPENDENCIES_1 =
w1temp_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(w1temp_SOURCES)
DIST_SOURCES = $(w1temp_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
DATA = $(applet_DATA) $(icon_DATA) $(pixmap_DATA) $(service_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run aclocal-1.12
ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run automake-1.12
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GIO_MODULE_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GIO_MODULE_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GLIB_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GLIB_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lrt -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 
GLIB_MODULE_CFLAGS = -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GLIB_MODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lrt -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 
GNOME_APPLETS_CFLAGS = -pthread -I/usr/include/gnome-panel-4.0/libpanel-applet -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng15 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GNOME_APPLETS_LIBS = -lpanel-applet-4 -lgconf-2 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GNOME_PIXMAPSDIR = /usr/share/pixmaps
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBPANEL_APPLET_DIR = /usr/share/gnome-panel/4.0/applets
LIBS = -lm 
LIBSOUP_CFLAGS = -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
LIBSOUP_LIBS = -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = w1temp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_APPLET = 
USE_CURLAPP = 
VERSION = 0.0.5
abs_builddir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/src
abs_srcdir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/src
abs_top_builddir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
abs_top_srcdir = /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jrh/Projects/w1retap/contrib/applets/w1temp-gnome3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapsdir = ${datarootdir}/pixmaps
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
INCLUDES = $(GLIB_MODULE_CFLAGS) $(GNOME_APPLETS_CFLAGS) $(LIBSOUP_CFLAGS) -DGNOME_DISABLE_DEPRECATED -Wall
w1temp_SOURCES = w1temp.c
w1temp_LDADD = $(GLIB_MODULE_LIBS) $(GNOME_APPLETS_LIBS) $(LIBSOUP_LIBS)
appletdir = $(LIBPANEL_APPLET_DIR)
applet_in_files = org.gnome.panel.w1tempApplet.panel-applet.in
applet_DATA = $(applet_in_files:.panel-applet.in=.panel-applet)
servicedir = $(datadir)/dbus-1/services
service_in_files = org.gnome.panel.applet.w1tempAppletFactory.service.in
service_DATA = $(service_in_files:.service.in=.service)
PIXIES = $(wildcard ../../share/w1temp/pixmaps/*.png)
pixmapdir = $(prefix)/share/w1temp/pixmaps
pixmap_DATA = $(PIXIES)
icon_DATA = w1temp.png
icondir = $(datadir)/pixmaps
CLEANFILES = $(applet_DATA) $(applet_DATA).in $(service_DATA) 
EXTRA_DIST = *.png README COPYING \
	$(service_in_files) org.gnome.panel.w1temp.panel-applet.in.in

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libexecPROGRAMS: $(libexec_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
	if test -n "$$list"; then \

=== debian/changelog ===
w1retap (1.4.4-4) unstable; urgency=medium

  * Refresh dquilt patches
  * Rename fix-w1pgsql-snprintf-timet.patch to fix-timet.patch
  * Add timet fixes for w1file, w1pgsql, w1util and w1xml
  * Update patch descriptions
  * Fix lintian autotools-pkg-config-macro-not-cross-compilation-safe
  * Add fix-autotools-libxml2.patch (Closes: #949511)
  * Fix gcc-10 build errors (Closes: #957921)
  * Fix owerr spelling
  * Replace build dependency asciidoc with asciidoc-base
  * Update standards from 3.9.8 to 4.5.0
  * Fix lintian init.d-script-should-always-start-service
  * Upgrade debhelper compat from 10 to 13
  * Add Vcs-Git and Vcs-Browser fields to control file
  * Fix lintian skip-systemd-native-flag-missing-pre-depends
  * Add Rules-Requires-Root to control
  * Added salsa-ci.yml
  * Fix man page spelling
  * Add Documentation key to service
  * Add systemd service hardening-features
  * Make copyright format URL https
  * Update lintian-overrides
  * Add some autopkgtest tests
  * Remove training whitespace from changelog
  * Fix lintian debian-rules-uses-as-needed-linker-flag
  * Fix lintian upstream-metadata-file-is-missing

 -- Thomas Stewart <thomas@stewarts.org.uk>  Thu, 13 Feb 2020 10:43:57 +0000

w1retap (1.4.4-3) unstable; urgency=medium

  * Replace build dependency asciidoc with asciidoc-base (Closes: #850394)
  * Add -Wl,--disable-new-dtags to LDFLAGS (Closes: #850445)
  * The post install now creates /var/lib/w1retap if not present

 -- Thomas Stewart <thomas@stewarts.org.uk>  Fri, 06 Jan 2017 16:24:48 +0000

w1retap (1.4.4-2) unstable; urgency=medium

  * Add patch to fix parallel build (Closes: #844144)
  * Add libowfat-dev as Build-Conflicts as owfat is an internal library and not
    related to libowfat
  * Add patch to fix extra braces in w1retap.c (Closes: #843857)
  * The data directory (/var/lib/w1retap/) is now removed when w1retap is purged
  * Multi-Arch hints added to control file
  * Removed autotools-dev, dh-systemd and pkg-config from Build-Depends
  * Add patch to stop w1pgsql using time_t with snprintf to fix FTBFS on x32

 -- Thomas Stewart <thomas@stewarts.org.uk>  Tue, 15 Nov 2016 12:17:47 +0000

w1retap (1.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #787770)

 -- Thomas Stewart <thomas@stewarts.org.uk>  Fri, 21 Oct 2016 10:50:32 +0100

=== debian/control ===
Source: w1retap
Section: electronics
Priority: optional
Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
Build-Depends: asciidoc-base,
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               docbook-xml,
               docbook-xsl,
               libglib2.0-dev,
               libmongo-client-dev,
               libpq-dev,
               libsqlite3-dev,
               libusb-dev,
               libxml2-dev,
               libxml2-utils,
               pkg-config,
               unixodbc-dev,
               xsltproc
Build-Conflicts: libowfat-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/thomasdstewart-guest/w1retap.git
Vcs-Browser: https://salsa.debian.org/thomasdstewart-guest/w1retap
Homepage: http://www.zen35309.zen.co.uk/wx/tech.html

Package: w1retap
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base (>= 3.0-6), ruby, ${misc:Depends}, ${shlibs:Depends}
Recommends: w1retap-doc
Description: Data logger for 1-Wire weather sensors
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.

Package: w1retap-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: Data logger for 1-Wire weather sensors (docs)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the documentation.

Package: w1retap-mysql
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (MySQL plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a MySQL database for storage.

Package: w1retap-mongo
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (MongoDB plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a MongoDB database for storage.

Package: w1retap-odbc
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (ODBC plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a ODBC database for storage.

Package: w1retap-pgsql
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (PostgreSQL plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a PostgreSQL database for storage.

Package: w1retap-sqlite
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (SQLite plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and data the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a SQLite database for storage.

=== debian/watch ===
version=3
http://sf.net/w1retap/w1retap-(.*)\.tar\.xz
